#Query PalmPay Account
#Request Path
/api/v2/payment/merchant/payout/queryAccount#Parameter List
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| palmpayAccNo | String | 32 | yes | PalmPay account |
#Return Value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| accountStatus | Integer | 100 | yes | PalmPay account status,[0] is available, others are unavailable |
| accountName | String | 200 | No | Full name of the PalmPay account, returned when the status of the account name query is "0" |
#Error Code
#Postman Example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/payout/queryAccount' \
--header 'CountryCode: NG' \
--header 'Signature: CeurWElj+L0nA1/2gVc8z0nG5vWmiSmBgOHekdzyaJ1/GmJBo3z0XJgyLiUEHmcG6/PRWN+WZetpZfmvxyU7wmo+fgSTpd/1OVDWvrhLRzghJEowRIjoVoNAeR8vYQ0KiCaiTDhKCpBCFxGX47VLzhgYTUMxyAuBn/XP41iaSx0=' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer L34639495822' \
--data '{
"requestTime":1658568813705,
"version":"V1.1",
"nonceStr":"rNsxYX3Rkkktqq5NG3kkllppwF8LGDvLugF",
"palmpayAccNo":"023408844440004"
}'#response
{
"data": {
"accountStatus": 0,
"accountName": "YWES ***SONS"
},
"respMsg": "success",
"respCode": "00000000"
}